Skip to main content

Describe Index (V2)

This operation describes the current index.

POST/v2/vectordb/indexes/describe
Connection Endpoint

The base URL for this API is in the following format:

https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

📘Notes
  • Use the cluster endpoint if you are using serving clusters.
    • Free & Serverless

      https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.com

    • Dedicated

      https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530

  • You need to fill in ${CLUSTER_ENDPOINT} with that of your Zilliz Cloud cluster.
  • To get the endpoint, use the Describe Cluster V2 API to extract the values from the responses.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
Parameters
Authorizationstringheaderrequired

The authentication token should be an API key with appropriate privileges or a pair of colon-joined username and password, like username:password. If you are using a project endpoint, only a valid API key with sufficient permissions applies.

Example Value: Bearer {{TOKEN}}
Request Bodyapplication/json
dbNamestring

The name of the database to which the collection belongs.

collectionNamestringrequired

The name of the collection to which the index belongs.

indexNamestringrequired

The name of the index to describe.

export TOKEN="db_admin:xxxxxxxxxxxxx"

curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/indexes/describe" \
--header "Authorization: Bearer ${TOKEN}". \
--header "Request-Timeout: 10" \
--header "Content-Type: application/json" \
-d '{
"indexName": "vector",
"collectionName": "quick_setup"
}'
Responses200 - application/json

A success response.

codeinteger

Response code.

Example Value: 0
dataobject

Response payload which is detailed information about the index.

indexNamestring

The name of the index.

fieldNamestring

The name of the target field.

indexTypestring

The type of this index.

metricTypestring

The type of the similarity metric.

mmap.enabledstring

Whether memory mapping is enabled for this index.

indexoffsetcache.enabledstring

Whether to cache the index offset in memory.

warmupstring

Whether to load the index into memory when the index is created or updated.

  • sync: Warm up before a segment is considered loaded
  • async: Warm up in background after load
  • disable: Do not proactively warm up; load on demand

totalRowsinteger

The total number of entities/rows.

pendingRowsinteger

The number of entities/rows that are waiting to be indexed.

indexedRowsinteger

The total number of entities/rows that have been indexed.

indexStatestring

The status of the indexing progress.

failReasonstring

The reason for the failure to build indexes.

minIndexVersionstring

The minimum version of the index.

maxIndexVersionstring

The maximum version of the index.

indexParamsarray

The index parameters used to build the index in a list of key-value pairs.

[]indexParamsobject
keystring

The name of the index parameter.

valuestring

The value of the index parameter.

A failure response.

codeinteger

Response code.

messagestring

Error message.

{
"code": 0,
"data": [
{
"indexName": "embedding_idx",
"fieldName": "embedding",
"indexType": "AUTOINDEX",
"metricType": "COSINE",
"mmap.enabled": "false",
"indexoffsetcache.enabled": "false",
"warmup": "sync",
"totalRows": 10000,
"pendingRows": 0,
"indexedRows": 10000,
"indexState": "Finished",
"failReason": "",
"minIndexVersion": 0,
"maxIndexVersion": 0,
"indexParams": [
{
"key": "index_type",
"value": "AUTOINDEX"
},
{
"key": "metric_type",
"value": "COSINE"
},
{
"key": "params",
"value": "{}"
}
]
}
]
}